commit:     461d86a638596d5f97fae2b47407d89373f5e938
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 12 15:13:45 2014 +0000
Commit:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
CommitDate: Wed Nov 12 15:13:45 2014 +0000
URL:        http://sources.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=461d86a6

sci-mathematics/freefem++: Bump to EAPI=5

Package-Manager: portage-2.2.14

---
 sci-mathematics/freefem++/ChangeLog            |  5 ++++-
 sci-mathematics/freefem++/freefem++-3.8.ebuild | 30 ++++++++++++--------------
 2 files changed, 18 insertions(+), 17 deletions(-)

diff --git a/sci-mathematics/freefem++/ChangeLog 
b/sci-mathematics/freefem++/ChangeLog
index b246464..3e11bdb 100644
--- a/sci-mathematics/freefem++/ChangeLog
+++ b/sci-mathematics/freefem++/ChangeLog
@@ -1,7 +1,10 @@
 # ChangeLog for sci-mathematics/freefem++
-# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  12 Nov 2014; Justin Lecher <[email protected]> freefem++-3.8.ebuild:
+  Bump to EAPI=5
+
   22 Feb 2013; Justin Lecher <[email protected]>
   -files/freefem++-3.4.2-no-doc-autobuild.patch, -freefem++-3.5.ebuild,
   freefem++-3.8.ebuild, metadata.xml:

diff --git a/sci-mathematics/freefem++/freefem++-3.8.ebuild 
b/sci-mathematics/freefem++/freefem++-3.8.ebuild
index cbf8e70..2262fab 100644
--- a/sci-mathematics/freefem++/freefem++-3.8.ebuild
+++ b/sci-mathematics/freefem++/freefem++-3.8.ebuild
@@ -2,6 +2,8 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
+EAPI=5
+
 inherit autotools eutils flag-o-matic mpi versionator toolchain-funcs
 
 MY_PV=$(replace_version_separator 2 '-')
@@ -13,7 +15,7 @@ 
SRC_URI="http://www.freefem.org/ff%2B%2B/ftp/${PN}-${MY_PV}.tar.gz";
 LICENSE="LGPL-2.1"
 SLOT="0"
 KEYWORDS="~amd64"
-IUSE="doc examples mpi opengl vim-syntax X"
+IUSE="doc examples mpi opengl X"
 
 RDEPEND="
        sci-libs/fftw
@@ -26,7 +28,6 @@ RDEPEND="
                media-libs/freeglut
                virtual/opengl
                )
-       vim-syntax? ( app-vim/freefem++-syntax )
        X? (
                media-fonts/font-misc-misc
                x11-libs/libX11
@@ -51,10 +52,7 @@ DEPEND="${RDEPEND}
 
 S="${WORKDIR}/${PN}-${MY_PV}"
 
-src_unpack() {
-       unpack ${A}
-       cd "${S}"
-
+src_prepare() {
        # acoptim.m4 forced -O2 removal
        epatch "${FILESDIR}"/${PN}-acoptim.patch
        # do not try to do a forced "manual" installation of
@@ -66,7 +64,7 @@ src_unpack() {
        eautoreconf
 }
 
-src_compile() {
+src_configure() {
        local myconf
 
        if use mpi; then
@@ -84,11 +82,13 @@ src_compile() {
                $(use_enable opengl) \
                $(use_with X x) \
                ${myconf}
+}
 
-       emake || die "emake failed"
+src_compile() {
+       default
 
        if use doc; then
-               emake documentation || die "emake documentation failed"
+               emake documentation
        fi
 }
 
@@ -102,24 +102,22 @@ src_test() {
                ewarn "result in a failing emerge."
                epause
        fi
-       emake -j1 check || die "check test failed"
+       emake -j1 check
 }
 
 src_install() {
-       emake DESTDIR="${D}" install || die "emake install failed"
-
-       dodoc AUTHORS INNOVATION HISTORY* README
+       default
 
        insinto /usr/share/doc/${PF}
        if use doc; then
-               doins DOC/freefem++doc.pdf || die
+               doins DOC/freefem++doc.pdf
        fi
 
        if use examples; then
                einfo "Installing examples..."
 
                # Remove compiled examples:
-               emake clean || die "emake clean failed"
+               emake clean
 
                einfo "Some of the installed examples assumes that the user has 
write"
                einfo "permissions in the working directory and other will look 
for"
@@ -129,7 +127,7 @@ src_install() {
                einfo "it's better to copy the entire examples++-tutorial 
folder into"
                einfo "the user directory."
 
-               rm -f examples*/Makefile*
+               rm -f examples*/Makefile* || die
                doins -r examples*
        fi
 }

Reply via email to